from setuptools import setup, find_packages

setup(
    name="transprint",
    version="1.14.0",
    packages=find_packages(),  # Cambié esto a find_packages para que se detecten los paquetes automáticamente
    description="Traduce el texto de los prints según el idioma destino",
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author="Alejo",
    author_email="alejo.duarte.2007@gmail.com",
    url="https://github.com/tuusuario/transprint",
    entry_points={  # Aquí configuramos un script de consola para poder ejecutar transprint desde la terminal
        "console_scripts": [
            "transprint = transprint.transprint:print",  # Referencia correcta a la función print dentro de transprint.py
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
)
